#
# spec file for package ExtendedLog
#
# Copyright (c) 2022 E W
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://gitlab.com/catsfood/extended-log
#

%define libName libExtendedLog
%define realName ExtendedLog

Name:           libExtendedLog1
Version:        1.2.0.1
Release:        0
Summary:        A library for writing and reading "extended" log-files
License:        GPL-3.0-or-later
URL:            https://gitlab.com/catsfood/extended-log.git
Source:         extended-log-%{version}.tar.xz
Group:          System/Libraries
BuildRequires:  cmake >= 3.14
BuildRequires:  gcc-c++
BuildRequires:  cmake(Qt5Core)
BuildRequires:  pkgconfig(Qt5Core)

%description
A library for writing and reading "extended" log-files in serveral formats.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       cmake >= 3.14
Requires:       libqt5-qtbase-devel

%description devel
The development files for ExtendedLog, a library for writing and reading "extended" log-files in serveral formats.

%prep
%setup -q -n extended-log-%{version}

%build
%cmake
%make_build

%install
%cmake_install

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_libdir}/%{libName}.so.*

%files devel
%{_libdir}/%{libName}.so
%{_libdir}/cmake/%{realName}
%dir %{_includedir}/%{realName}
%{_includedir}/%{realName}/*.hpp
%{_includedir}/%{realName}/*.h

%changelog
* Mon Dec 19 2022 webe.info@gmx-topmail.de
- Update to version 1.2.0.1:
  * update version number
  * add zip-files to gitignore
  * correcting some compiler warnings
  * Set TextLogReader codec to utf-8
  * add comment to cmake file
  * corrections in winres
  * corrections in cmake
  * correct winres-file
  * correct winres-file
  * rename version.rc to winres.rc
* Mon Dec 19 2022 W. <webe.info@gmx-topmail.de>
- Update to Version 1.2.0.1
  * set input codec for text log reader to utf-8
* Thu Oct 13 2022 W. <webe.info@gmx-topmail.de>
- Update to version 1.1
* Mon Oct  3 2022 W. <webe.info@gmx-topmail.de>
- Update to Version 1.0.11, making this library stable
* Thu Sep 29 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.9-2
* Thu Sep 29 2022 W. <webe.info@gmx-topmail.de>
- reset to version 0.9.9, since build-errors occour in version 0.9.9-1
* Thu Sep 29 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.9-1
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.9 (remove translations)
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.8
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- update to version 0.9.7-4
* Wed Sep 28 2022 W. <webe.info@gmx-topmail.de>
- rename base name to libExtendedLog[VERISON]
* Sun Sep 25 2022 W. <webe.info@gmx-topmail.de>
- making package compile
* Sun Sep 25 2022 W. <webe.info@gmx-topmail.de>
- first revision
